from django.shortcuts import HttpResponse
from apps.api import models as m_api
from django.views.decorators.http import require_http_methods, require_POST, require_GET
from apps.api.common import CaesarCypherClass, Base64CypherClass
from apps.api.config import Config

config = Config()


# Create your views here.
@require_POST
def get_config(request):
    try:
        identity = request.POST.get("param")
        if config.getconfig("isCypher"):
            if config.getconfig("CypherMethod") == "base64":
                param_base64 = m_api.SysConfig.objects.using("cypher").filter(identity=identity).first().param
                param = Base64CypherClass().base64_decode_str(Base64CypherClass(), param_base64)
                return HttpResponse(param)
            if config.getconfig("CypherMethod") == "caesar":
                param_base64 = m_api.SysConfig.objects.using("cypher").filter(identity=identity).first().param
                param = CaesarCypherClass.caesar_decode(param_base64)
                return HttpResponse(param)
        else:
            param = m_api.SysConfig.objects.using("default").filter(identity=identity).first().param
            return HttpResponse(param)
    except Exception as e:
        print(f"报错了:{e}")
        return HttpResponse(f"报错了:{e}")


@require_POST
def add_config(request):
    try:
        pass
    except Exception as e:
        print(f"报错了:{e}")
        return HttpResponse(f"报错了:{e}")
